Page MenuHomePhabricator

Add DNS entry for promethium.wikitextexp.eqiad.wmflabs
Closed, ResolvedPublic

Description

I need to be able to point people to the web UI for accessing test results of the visual diffs that run on promethium.
mw-expt-tests.wmflabs.org is the desire domain name for this server.
I'll set up nginx config on the server to proxy to different internal services as necessary.

Event Timeline

ssastry created this task.Mar 7 2016, 11:15 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 7 2016, 11:15 PM

Nope. This is one-off raw hardware. Not a labs VM. So, it doesn't show up in the web UI there.

chasemp triaged this task as Medium priority.Apr 4 2016, 2:03 PM

This requires adding a DNS entry for promethium.wmflabs.org (since we've SSL only for *.wmflabs.org) pointing to the proxy, and then manually hitting the proxy API with the target IP.

This is how graphite.wmflabs.org works, for example.

Created DNS entry for mw-expt-tests.wmflabs.org

I was able to add the proxy with:

curl -X PUT  -d '{"domain": "mw-expt-tests.wmflabs.org", "backends": ["http://promethium.wikitextexp.eqiad.wmflabs:80"]}' localhost:5668/dynamicproxy-api/v1/wikitextexp/mapping``` on novaproxy-01
yuvipanda closed this task as Resolved.Apr 8 2016, 11:34 PM

Except somehow the domain name doesn't want to resolve for nginx, despite it resolving fine for dig. an nginx restart didn't help either. So I've just used the IP instead, and that works.

Great! Thanks. I updated the nginx settings and http://mw-expt-tests.wmflabs.org/ is now proxying to my webapp.